<!DOCTYPE html>
<html lang="en">
  <head>
    <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <link rel="shortcut icon" type="image/png" href="download__1_-removebg-preview.png"/>
    <link rel="stylesheet" href="index.css"/>
    <title>nDsEmu</title>
  </head>
  <body  style="background-color:Black;">
    <input type="checkbox" id="ui" onchange="hide()">
    <a style="color:white;">Hide UI</a>
    <div id ="UI">
    <svg class="background--custom" id="demo" viewBox="0 0 100 100" preserveAspectRatio="none">
      <path fill="#689DE9" fill-opacity="0.7" d="M-100 -100L200 -100L200 40L-100 40Z" style="animation: path0 7.936507936507937s linear infinite alternate;" /><path fill="#bb6ee6" fill-opacity="0.8" d="M-100 -100L200 -100L200 30L-100 30Z" style="animation: path1 4.854368932038835s linear infinite alternate;" /><path fill="#00219E" fill-opacity="0.5" d="M-100 -100L200 -100L200 50L-100 50Z" style="animation: path2 45.45454545454545s linear infinite alternate;" /><path fill="#25DAE4" fill-opacity="0.6" d="M-100 -100L200 -100L200 30L-100 30Z" style="animation: path3 2.8089887640449436s linear infinite alternate;" />
    </svg>
    <a><br><br></a>
    <input type="file" id="fileInput" hidden>
    <label for="fileInput">Choose A Ds Rom</label>
    <a style="color:white;"><br><br>Controls:<br>
    ___________________<br><br>
    Joystic: Arrow Keys<br>
    Start: Enter<br>
    Select: R Shift<br>
    A Button: X<br>
    B Button: Z<br> 
    X Button: S<br>
    Y Button: A<br>
    L Trigger: Q<br>
    R Trigger: W<br>
    ____________________
    
    </a>
    </div>
    <desmond-player id="player"></desmond-player>
    <script src="desmond.min.js"></script>
    <script type="text/javascript">
          var x = document.getElementById("UI");
              
          document.querySelector("desmond-player").shadowRoot.querySelector("#top").style = "position: fixed;transform: translate(-50%, -50%);width: 40%;left: 50%;top: 25%;height: 50%;";
          document.querySelector("desmond-player").shadowRoot.querySelector("#bottom").style = "position: fixed;transform: translate(-50%, -50%);width: 40%;left: 50%;top: 75%;height: 50%;";
          
          document.getElementById("fileInput").onchange = function(){
            document.getElementById("player").loadURL(URL.createObjectURL(document.getElementById("fileInput").files[0]));
          }
          
          document.getElementById("ui").onchange = function(){
           if (document.getElementById("ui").checked) {
                x.style.display = "none";
           }else{
                x.style.display = "block";
           }
          }
          
          setInterval(function(){var privacyBanner = document.querySelectorAll("[data-gg-privacy-banner-anchor]");for (var i = 0; i < privacyBanner.length; i++) {privacyBanner[i].parentNode.removeChild(privacyBanner[i]);}}, 1000);   
  </script>
  </body>
</html>
